" Vim color file
"--------------------------------------------------------------------
" By: Ben Mitchell
" Contact: arisian@gmail.com
" Credits: heavily modified from "desert" colorscheme by Hans Fugal
" Last Change:  5/2/10
"--------------------------------------------------------------------

" cool help screens
" :he group-name
" :he highlight-groups
" :he cterm-colors

set background=dark
if version > 580
    " no guarantees for version 5.8 and below, but this makes it stop
    " complaining
    hi clear
    if exists("syntax_on")
	syntax reset
    endif
endif

let g:colors_name="bencolors"

" some color names and values (from the web standard)
" {{{
"SLATEGRAY = #708090
"SKYBLUE = #87CEEB
"SLATEBLUE = #6A5ACD
"LIGHTBLUE = #ADD8E6
"
"INDIANRED = #CD5C5C
"SALMON = #FA8072
"
"OLIVEDRAB = #6B8E23
"PERU = #CD853F
"SPRINGGREEN = #00FF7F
"SEAGREEN = #2E8B57
"PALEGREEN = #98FB98
"
"WHEAT = #F5DEB3
"KHAKI = #F0E68C
"TAN = #D2B48C
"GOLDENROD = #DAA520
"GOLD = #FFD700
"DARKKHAKI = #BDB76B
" }}}

" default color
hi Normal	        guifg=#bbffcc       guibg=#000000

" basic highlight groups
" {{{
hi Cursor	        guifg=#bbffcc       guibg=#708090 
hi CursorLine                           guibg=#708090 
hi CursorColumn                         guibg=#152030 
"hi CursorIM
hi Visual	        guifg=#bbffcc       guibg=#708090   gui=none 
"hi DiffAdd          guifg=#00ff00       guibg=#333333  
"hi DiffChange       guifg=#00ff00       guibg=#333333  
"hi DiffDelete       guifg=#00ff00       guibg=#333333  
hi DiffText         guifg=#bbffcc       guibg=#ff0000  	gui=bold
hi Directory        guifg=#00ff00       guibg=#000000  
hi Folded	        guifg=gold          guibg=grey30 
hi FoldColumn	    guifg=tan           guibg=grey30 
hi LineNr           guifg=#00a800       guibg=#152030  
hi ModeMsg	        guifg=goldenrod
hi MoreMsg	        guifg=SeaGreen
hi NonText	        guifg=LightBlue     guibg=grey30
hi Question	        guifg=springgreen
hi Search	        guifg=#000000       guibg=#99ffff	gui=bold 
hi IncSearch	    guifg=#ffffcc     	guibg=#607080	gui=bold
hi SpecialKey	    guifg=#00ff00
hi StatusLineNC	    guifg=#222222       guibg=#708090   gui=none
hi StatusLine 	    guifg=#000000       guibg=#aaccff   gui=none
"SpellBad
"SpellCap
"SpellLocal
"SpellRare
hi TabLine          guifg=#000000       guibg=#444444   gui=none
hi TabLineFill      guifg=#ffffff       guibg=#000000   gui=underline
hi TabLineSel       guifg=#000000       guibg=#00aa00   gui=none
hi Title	        guifg=indianred
hi Underlined       guifg=#bbffcc       guibg=#222222	gui=underline
"hi VertSplit 	    guifg=#000000       guibg=#708090   gui=none
hi VertSplit 	    guifg=#000000       guibg=#8899cc   gui=none
"hi VisualNOS
hi WarningMsg	    guifg=#fa8072
hi ErrorMsg			guifg=#000000		guibg=#ff0000	
"hi WildMenu
hi Menu				guifg=#00ff00		guibg=#000000
hi Scrollbar		guifg=#00ff00		guibg=#000000
"hi Tooltip
" }}}


" ctags highlight groups
" {{{
hi Boolean          guifg=#00ff00
hi cDefine          guifg=#fd5c5c                       gui=bold
hi cInclude         guifg=#ffc030                       gui=bold
"hi Comment	 	    guifg=#87ceeb       guibg=#100035   gui=none
hi Comment	 	    guifg=#99ddff       guibg=#555555   gui=none
hi Constant	        guifg=#ffa0a0
hi Error            guifg=#000000       guibg=#ff0000
hi Identifier	    guifg=palegreen
hi Ignore	        guifg=grey40
hi MatchParen       guifg=#00ff00       guibg=#9000f0   gui=none
hi ModeMsg          guifg=#00ff00       guibg=#000000  
hi MoreMsg          guifg=#00ff00       guibg=#000000  
hi NonText          guifg=#87ceeb       guibg=#202020  
hi Operator         guifg=#ffd700       guibg=#000000   gui=none
hi PreProc	        guifg=#cd008c
hi SignColumn       guifg=#ffffff       guibg=#111111  
hi Special	        guifg=navajowhite
hi Statement        guifg=#f0e68c                       gui=bold                      
hi String           guifg=#67defb                       gui=none
hi Todo		        guifg=orangered     guibg=yellow2
hi ClassName        guifg=#fe8b57       guibg=#000000   gui=bold
hi DefinedName      guifg=#cd5c5c       guibg=#000000   gui=none
hi Enumerator       guifg=#87ceeb       guibg=#000000   gui=none
hi Function         guifg=#90ff90       guibg=#000000   gui=bold
hi EnumerationName  guifg=#67defb       guibg=#000000   gui=none
hi Member           guifg=#90ff90       guibg=#000000   gui=none
hi Structure        guifg=#67defb       guibg=#000000   gui=bold
hi Type             guifg=#bdb76b       guibg=#000000   gui=bold
hi Union            guifg=#67defb       guibg=#000000   gui=bold
hi GlobalConstant   guifg=#fd5c5c       guibg=#000000   gui=none
hi GlobalVariable   guifg=#f5deb3       guibg=#000000   gui=none
"hi LocalVariable    guifg=#bbffcc       guibg=#000000   gui=none
hi LocalVariable    guifg=#ffffff       guibg=#000000   gui=none
"}}}


" color terminal definitions
" {{{
hi SpecialKey	 ctermfg=darkgreen
hi NonText	 cterm=bold ctermfg=darkblue
hi Directory	 ctermfg=darkcyan
hi ErrorMsg	 cterm=bold ctermfg=7 ctermbg=1
hi IncSearch	 cterm=NONE ctermfg=yellow ctermbg=green
hi Search	 cterm=NONE ctermfg=grey ctermbg=blue
hi MoreMsg	 ctermfg=darkgreen
hi ModeMsg	 cterm=NONE ctermfg=brown
hi LineNr	 ctermfg=3
hi Question	 ctermfg=green
hi StatusLine	 cterm=bold,reverse
hi StatusLineNC  cterm=reverse
hi VertSplit	 cterm=reverse
hi Title	 ctermfg=5
hi Visual	 cterm=reverse
hi VisualNOS	 cterm=bold,underline
hi WarningMsg	 ctermfg=1
hi WildMenu	 ctermfg=0 ctermbg=3
hi Folded	 ctermfg=darkgrey ctermbg=NONE
hi FoldColumn	 ctermfg=darkgrey ctermbg=NONE
hi DiffAdd	 ctermbg=4
hi DiffChange	 ctermbg=5
hi DiffDelete	 cterm=bold ctermfg=4 ctermbg=6
hi DiffText	 cterm=bold ctermbg=1
hi Comment	 ctermfg=darkcyan
hi Constant	 ctermfg=brown
hi Special	 ctermfg=5
hi Identifier	 ctermfg=6
hi Statement	 ctermfg=3
hi PreProc	 ctermfg=5
hi Type		 ctermfg=2
hi Underlined	 cterm=underline ctermfg=5
hi Ignore	 cterm=bold ctermfg=7
hi Error	 cterm=bold ctermfg=7 ctermbg=1
" }}}


"vim: sw=4
"vim: fdm=marker
